Bug 366487 - Add Support for Media RSS/Atom Feeds (mrss)
Summary: Add Support for Media RSS/Atom Feeds (mrss)
Status: REPORTED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Neon Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-07 06:44 UTC by Bernhard Scheirle
Modified: 2019-11-20 12:50 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
How akregator display youtube feeds (114.32 KB, image/png)
2019-11-19 12:05 UTC, Éloi Rivard
Details
How akregator display peertube feeds (155.30 KB, image/png)
2019-11-19 12:06 UTC, Éloi Rivard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Scheirle 2016-08-07 06:44:48 UTC
> Media RSS (MRSS) is an RSS extension that adds several enhancements to RSS enclosures, and is used for syndicating multimedia files (audio, video, image) in RSS feeds. [1] [2]

Youtube also uses this extension in it's atom feeds:
Example feed: https://www.youtube.com/feeds/videos.xml?channel_id=UCF3I1gf7GcbmAb0mR6vxkZQ

Currently media elements get simply ignored and therefore the above feed only contains empty articles.
It would be nice if the thumbnail and description were visible.

[1] https://en.wikipedia.org/wiki/Media_RSS
[2] Media RSS specification: http://www.rssboard.org/media-rss

Reproducible: Always

Steps to Reproduce:
1. Subscribe to a feed containing mrss elements
2. View a article of this feed

Actual Results:  
Media content is not visible

Expected Results:  
Media content gets displayed
Comment 1 Laurent Montel 2016-08-08 07:15:57 UTC
Indeed you're right.
I will look at it.
Comment 2 Éloi Rivard 2019-11-19 12:05:21 UTC
Created attachment 124010 [details]
How akregator display youtube feeds

This is how this Youtube feed is displayed with akregator: https://www.youtube.com/feeds/videos.xml?channel_id=UC7_gcs09iThXybpVgjHZ_7g
Comment 3 Éloi Rivard 2019-11-19 12:06:32 UTC
Created attachment 124011 [details]
How akregator display peertube feeds

This is how Akregator displays this Peertube feed: https://framatube.org/feeds/videos.xml?accountId=3
Comment 4 Laurent Montel 2019-11-19 13:42:56 UTC
At the moment I work on akregator.
I try to fix some bugs I will work on it soon.
Don't hesitate to reping me on this bug if no new info in some days.
Comment 5 Laurent Montel 2019-11-20 06:29:01 UTC
I need to improve syndication lib.
Comment 6 Laurent Montel 2019-11-20 12:50:48 UTC
Git commit 396ac10321b3fda5424d9a4e79bb403816cf0d8d by Laurent Montel.
Committed on 20/11/2019 at 12:50.
Pushed by mlaurent into branch 'release/19.12'.

Look at for fixing 366487 (Add Support for Media RSS/Atom Feeds)

M  +12   -0    src/article.cpp

https://commits.kde.org/akregator/396ac10321b3fda5424d9a4e79bb403816cf0d8d